package com.qs.mp.web.controller.api.user;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.vo.TicketCntVO;
import com.qs.mp.admin.service.ITicketService;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.ChannelCommission;
import com.qs.mp.channel.domain.ChannelOrderDetail;
import com.qs.mp.channel.domain.ChannelUserRel;
import com.qs.mp.channel.domain.param.ChannelParam;
import com.qs.mp.channel.domain.param.ChannelQrCodeParam;
import com.qs.mp.channel.domain.param.SiteQueryParam;
import com.qs.mp.channel.domain.param.VerifyParam;
import com.qs.mp.channel.domain.vo.ChannelOperDataVO;
import com.qs.mp.channel.domain.vo.ChannelVO;
import com.qs.mp.channel.service.IChannelCommissionService;
import com.qs.mp.channel.service.IChannelService;
import com.qs.mp.channel.service.IChannelUserRelService;
import com.qs.mp.common.constant.UserConstants;
import com.qs.mp.common.core.domain.AjaxResult;
import com.qs.mp.common.core.page.TableDataInfo;
import com.qs.mp.common.enums.*;
import com.qs.mp.common.utils.DateUtils;
import com.qs.mp.system.service.ISysUserService;
import com.qs.mp.user.domain.UserAddr;
import com.qs.mp.user.domain.UserTicketOrder;
import com.qs.mp.user.service.IUserAddrService;
import com.qs.mp.user.service.IUserTicketOrderService;
import com.qs.mp.utils.SecurityUtils;
import com.qs.mp.web.controller.common.BaseApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import ma.glasnost.orika.MapperFacade;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.*;
import java.util.stream.Collectors;

@Api(tags = "渠道管理API")
@RestController
@RequestMapping("/api/v1/mp/user")
@Component
public class UserChannelController extends BaseApiController {

    @Autowired
    private IChannelService channelService;


    @ApiOperation(value = "更新门店二维码信息", notes = "更新门店二维码信息")
    @PostMapping("site/update/qrCode")
    public AjaxResult siteUpdateQrCode(@Validated @RequestBody ChannelQrCodeParam qrCodeParam){
        if (null == qrCodeParam || null == qrCodeParam.getChannelId()) {
            return error(ErrorCodeEnum.ERROR_CODE_1001);
        }
        Channel channel =  channelService.getById(qrCodeParam.getChannelId());
        channel.setQrCodePic(qrCodeParam.getQrCode());
        try {
            channelService.updateById(channel);
        } catch (Exception e) {
            return AjaxResult.error("门店'" + channel.getName() + "'二维码更新失败");
        }
        return AjaxResult.success("门店'" + channel.getName() + "'二维码更新成功");
    }


}
